ON_3dmViewTraceImage Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmViewTraceImage ()
| ~ON_3dmViewTraceImage ()
bool | operator== (const ON_3dmViewTraceImage &) const
bool | operator!= (const ON_3dmViewTraceImage &) const
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

ON_Plane | m_plane
double | m_width
double | m_height
ON_wString | m_bitmap_filename
bool | m_bGrayScale
bool | m_bHidden
bool | m_bFiltered

## Detailed Description

Definition at line 343 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmViewTraceImage()

ON_3dmViewTraceImage::ON_3dmViewTraceImage | ( |  | ) |

## ~ON_3dmViewTraceImage()

ON_3dmViewTraceImage::~ON_3dmViewTraceImage | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmViewTraceImage::Default | ( |  | ) |

## operator!=()

bool ON_3dmViewTraceImage::operator!= | ( | const ON_3dmViewTraceImage & |  | ) | const

## operator==()

bool ON_3dmViewTraceImage::operator== | ( | const ON_3dmViewTraceImage & |  | ) | const

## Read()

bool ON_3dmViewTraceImage::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_3dmViewTraceImage::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bFiltered

bool ON_3dmViewTraceImage::m_bFiltered

Definition at line 364 of file opennurbs_3dm_settings.h.

## m_bGrayScale

bool ON_3dmViewTraceImage::m_bGrayScale

Definition at line 362 of file opennurbs_3dm_settings.h.

## m_bHidden

bool ON_3dmViewTraceImage::m_bHidden

Definition at line 363 of file opennurbs_3dm_settings.h.

## m_bitmap_filename

ON_wString ON_3dmViewTraceImage::m_bitmap_filename

Definition at line 361 of file opennurbs_3dm_settings.h.

## m_height

double ON_3dmViewTraceImage::m_height

Definition at line 359 of file opennurbs_3dm_settings.h.

## m_plane

ON_Plane ON_3dmViewTraceImage::m_plane

Definition at line 357 of file opennurbs_3dm_settings.h.

## m_width

double ON_3dmViewTraceImage::m_width

Definition at line 358 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h